Bug 827658 - [abrt] dbus doesn't honor EINVAL: Unhandled dwarf expression opcode 0xfa: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] dbus doesn't honor EINVAL: Unhandled dwarf expression opcode 0xfa: Pro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:e9ebe84f0bd51a6b0941c792fa7...
: Patch
: 827857 830195 830567 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 01:10 EDT by unix63
Modified: 2013-08-01 13:19 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (42.32 KB, text/plain)
2012-06-02 01:11 EDT, unix63
no flags Details
File: maps (61.04 KB, text/plain)
2012-06-02 01:11 EDT, unix63
no flags Details
File: dso_list (13.10 KB, text/plain)
2012-06-02 01:11 EDT, unix63
no flags Details
File: build_ids (5.45 KB, text/plain)
2012-06-02 01:11 EDT, unix63
no flags Details

  None (edit)
Description unix63 2012-06-02 01:10:53 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/radiotray
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/python2.7
kernel:         3.3.7-1.fc17.x86_64
pid:            1300
pwd:            /usr/lib/python2.7/site-packages/radiotray
time:           Sat 02 Jun 2012 03:06:38 PM EST
uid:            1000
username:       andrew
xsession_errors: 

backtrace:      Text file, 43332 bytes
build_ids:      Text file, 5576 bytes
dso_list:       Text file, 13416 bytes
maps:           Text file, 62510 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/andrew/2

core_backtrace:
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x254a0 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x2434d - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x243b9 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x234f7 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0x23d13 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0xc484 - libdbus-1.so.3 -
:d804f8ee47797da9213a92f00cd095ecada8d79f 0xd05e dbus_connection_get_dispatch_status libdbus-1.so.3 -
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d 0xabc3 - libdbus-glib-1.so.2 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x4709f g_main_context_prepare libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x478ab - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x9d332 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x9cfcc - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd93f3 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=unix63.dyndns.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/andrew/keyring-mLrysl
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=andrew
:USERNAME=andrew
:MAIL=/var/spool/mail/andrew
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/andrew/bin:/bin:/usr/bin:/usr/local/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/andrew
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1048
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/andrew
:SHLVL=1
:'CFLAGS=-O2 -march=x86-64'
:LOGNAME=andrew
:'VISUAL=nano -w'
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DFklbC8rrW,guid=b91f20df993eb5dca569d5cc00000024
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/andrew
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-andrew-OyvIHo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1052,unix/unix:/tmp/.ICE-unix/1052
:SSH_AUTH_SOCK=/run/user/andrew/keyring-mLrysl/ssh
:GPG_AGENT_INFO=/run/user/andrew/keyring-mLrysl/gpg:0:1
:DESKTOP_AUTOSTART_ID=10587ce8bb1efc9578133861358567934400000010520015

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47521                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47521                47521                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/andrew/.xsession-errors
:pos:	2903
:flags:	0102002
:2:/home/andrew/.xsession-errors
:pos:	2903
:flags:	0102002
:3:/home/andrew/.local/share/radiotray/radiotray.log
:pos:	228957
:flags:	0102001

smolt_data:
:
:
:General
:=================================
:UUID: 3290c856-9371-43e9-b9a2-508b3c803073
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4791.24
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A8-3800 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 5958
:System Swap: 2999
:Vendor: Hewlett-Packard
:System: p6-2040a 
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4156:10959) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(4318:3592:6922:37034) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(4130:5893:4130:5893) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4332:33128:4156:10959) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:5895:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:30731:4156:10959) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4156:10959) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4156:10959) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30726:4130:30726) pci, sdhci-pci, BASE, Hudson SD Flash Controller
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4318:4160:6922:37034) pci, nouveau, VIDEO, N/A
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:5897:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:5898:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 243000318 211436224 199274074 60817408 60507835 60507835
:/dev/sda2 /boot ext4 1024 1024 508745 433489 407889 128016 127944 127944
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51080 51080 0 0 0
:

var_log_messages:
:Jun  1 00:32:42 unix63 abrt[1401]: Saved core dump of pid 1280 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-00:32:40-1280 (39677952 bytes)
:Jun  1 11:04:22 unix63 abrt[1467]: Saved core dump of pid 1330 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-11:04:19-1330 (38256640 bytes)
:Jun  1 11:34:06 unix63 abrt[1405]: Saved core dump of pid 1256 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-11:34:05-1256 (38256640 bytes)
:Jun  1 13:51:17 unix63 abrt[1401]: Saved core dump of pid 1274 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-13:51:16-1274 (38252544 bytes)
:Jun  1 19:58:30 unix63 abrt[1424]: Saved core dump of pid 1284 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-19:58:29-1284 (38252544 bytes)
:Jun  1 21:05:00 unix63 abrt[1457]: Saved core dump of pid 1326 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-21:04:59-1326 (38256640 bytes)
:Jun  1 21:15:28 unix63 abrt[1521]: Saved core dump of pid 1511 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-21:15:27-1511 (38256640 bytes)
:Jun  1 21:16:01 unix63 abrt[1565]: Saved core dump of pid 1555 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-01-21:16:01-1555 (38240256 bytes)
:Jun  2 15:06:40 unix63 abrt[1434]: Saved core dump of pid 1300 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-02-15:06:37-1300 (38256640 bytes)
Comment 1 unix63 2012-06-02 01:11:05 EDT
Created attachment 588626 [details]
File: backtrace
Comment 2 unix63 2012-06-02 01:11:09 EDT
Created attachment 588627 [details]
File: maps
Comment 3 unix63 2012-06-02 01:11:12 EDT
Created attachment 588628 [details]
File: dso_list
Comment 4 unix63 2012-06-02 01:11:15 EDT
Created attachment 588629 [details]
File: build_ids
Comment 5 Thomas Spura 2012-06-02 06:52:00 EDT
Thanks for the bug report.

Here is the relevant part of the backtrace:
#0  _dbus_watch_invalidate (watch=0x0) at dbus-watch.c:154
[snip]
#10 0x0000003c8a4478ab in g_main_context_iterate (context=0x21d9590, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3103
        max_priority = <optimized out>
        timeout = <optimized out>
        some_ready = <optimized out>
        nfds = <optimized out>
        allocated_nfds = 4
        fds = 0x28e3120

IIUC: this means that EINVAL is not honored in dbus and this might be a good patch for this.

--- dbus-sysdeps.c.orig	2012-06-02 12:45:02.273620493 +0200
+++ dbus-sysdeps.c	2012-06-02 12:47:58.052381875 +0200
@@ -938,6 +938,10 @@
     case EPERM:
       return DBUS_ERROR_ACCESS_DENIED;
 #endif
+#ifdef EINVAL
+    case EINVAL:
+      return DBUS_ERROR_INVALID_ARGS;
+#endif
 #ifdef ENOBUFS
     case ENOBUFS:
       return DBUS_ERROR_NO_MEMORY;


Reassigning to dbus to verify that.
Comment 6 Thomas Spura 2012-06-03 15:33:24 EDT
*** Bug 827857 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Spura 2012-06-09 16:15:08 EDT
*** Bug 830195 has been marked as a duplicate of this bug. ***
Comment 8 Thomas Spura 2012-06-10 15:36:44 EDT
*** Bug 830567 has been marked as a duplicate of this bug. ***
Comment 9 Štefan Gurský 2012-11-26 18:16:24 EST
I ran radiotray - first time it ran, I closed it and ran it again.

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Alex Wajda 2013-01-19 15:10:14 EST
I just tried to browse files on my Nokie E65 phone via bluetooth. The connection to phone is established successfully, but when I click "Browse files" button it immediately crashes.

backtrace_rating: 4
Package: gvfs-obexftp-1.14.2-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Fedora Admin XMLRPC Client 2013-02-22 10:18:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2013-02-22 10:24:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2013-07-04 00:15:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 09:01:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.